Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get production order by ID.
cURL
curl --request GET \ --url https://vinmake-erp.onrender.com/api/v1/production-orders/{order_id}
import requestsurl = "https://vinmake-erp.onrender.com/api/v1/production-orders/{order_id}"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://vinmake-erp.onrender.com/api/v1/production-orders/{order_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://vinmake-erp.onrender.com/api/v1/production-orders/{order_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://vinmake-erp.onrender.com/api/v1/production-orders/{order_id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://vinmake-erp.onrender.com/api/v1/production-orders/{order_id}") .asString();
require 'uri'require 'net/http'url = URI("https://vinmake-erp.onrender.com/api/v1/production-orders/{order_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)response = http.request(request)puts response.read_body
{ "id": "<string>", "documentId": "<string>", "status": "<string>", "createdAt": "<string>", "currentVersion": 123, "finalVersion": 123, "productionType": "<string>", "production_type": "<string>", "category": "<string>", "orderQuantity": 123, "order_quantity": 123, "salesOrderId": "<string>", "salesOrderDocumentId": "<string>", "salesOrderIds": [ "<string>" ], "salesOrderDocumentIds": [ "<string>" ], "salesOrders": [ {} ], "clientId": "<string>", "clientName": "<string>", "styleId": "<string>", "styleName": "<string>", "styles": [ {} ], "picture": "<string>", "bomId": "<string>", "bomDocumentId": "<string>", "bomName": "<string>", "dueDate": "<string>", "plannedStartDate": "<string>", "plannedCompletionDate": "<string>", "exFactoryDate": "<string>", "actualStartDate": "<string>", "actualCompletionDate": "<string>", "materialsReadyDate": "<string>", "cuttingStartDate": "<string>", "cuttingEndDate": "<string>", "sewingStartDate": "<string>", "sewingEndDate": "<string>", "finishingStartDate": "<string>", "finishingEndDate": "<string>", "qcStartDate": "<string>", "qcEndDate": "<string>", "packingStartDate": "<string>", "packingEndDate": "<string>", "completionDate": "<string>", "productionLocation": "<string>", "productionLineId": "<string>", "productionLineName": "<string>", "specialInstructions": "<string>", "autoGenerateMaterialRequest": true, "qcStatus": "<string>", "defectCount": 123, "defectNotes": "<string>", "qcInspector": "<string>", "qcDate": "<string>", "assignedWorkers": [ "<string>" ], "details": {} }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Successful Response